#### PyKDE - Python Bindings for KDE

# class TDEABC.FormatFactory |
Table of contents
Modules
tdeabc Classes
All Classes

Module | tdeabc
Class | TDEABC.FormatFactory
Inherits |

### methods

- FormatFactory ()

  returns a FormatFactory instance
  In versions KDE 3.1.0 and above only

- format (type)

  returns (TDEABC.FormatPlugin)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | TQString |

- formats ()

  returns (TQStringList)
  In versions KDE 3.1.0 and above only

- info (type)

  returns (TDEABC.FormatInfo)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | TQString |

- self ()

  returns (TDEABC.FormatFactory)
  In versions KDE 3.1.0 and above only
  static

- ~FormatFactory ()

  returns nothing
  In versions less than KDE 3.2.0 only